```
-- تعريف المتغيرات
local backgroundColor = {1, 1, 1} -- أبيض نقي
local welcomeText = "مرحبا بكم"
local textSize = 30
local enemyHealth = 10
local currentEnemy = 1
local playerHealth = 30
local playerHealthIncrease = 20
local hitDamage = 5
local hitDamageIncrease = 5
local enemyAttackInterval = 10
local enemyAttackDamage = 1
local enemyPowerIncrease = 15
local enemiesKilled = 0
local gameStarted = false
local startButtonX = 200
local startButtonY = 400
local startButtonWidth = 100
local startButtonHeight = 50

-- تعريف الدالة الرئيسية
function love.load()
  -- تعيين لون الخلفية
  love.graphics.setBackgroundColor(backgroundColor[1], backgroundColor[2], backgroundColor[3])
end

-- تعريف الدالة لرسوم اللعبة
function love.draw()
  -- رسم النص
  love.graphics.print(welcomeText, 100, 100, 0, textSize / 20, textSize / 20)

  -- رسم الزر
  love.graphics.rectangle("fill", 200, 200, 100, 50)

  -- رسم وصف اللعبة
  love.graphics.print("مرحبا بكم في هذه اللعبة، أيها الأعزاء. هذه لعبة قتل أعداء بسيطة.", 100, 300, 0, textSize / 20, textSize / 20)

  -- رسم زر البدء
  love.graphics.rectangle("fill", startButtonX, startButtonY, startButtonWidth, startButtonHeight)
  love.graphics.print("بدء", startButtonX + 20, startButtonY + 15)

  if gameStarted then
    -- رسم دم العدو
    love.graphics.print("دم العدو " .. currentEnemy .. ": " .. enemyHealth, 100, 200, 0, textSize / 20, textSize / 20)

    -- رسم دم اللاعب
    love.graphics.print("دم اللاعب: " .. playerHealth, 100, 300, 0, textSize / 20, textSize / 20)

    -- رسم عدد الأعداء الذين قتلتهم
    love.graphics.print("عدد الأعداء الذين قتلتهم: " .. enemiesKilled, 100, 400, 0, textSize / 20, textSize / 20)
  end
end

-- تعريف الدالة للضغط على الزر
function love.mousepressed(x, y, button)
  -- تحقق من الضغط على زر البدء
  if x >= startButtonX and x <= startButtonX + startButtonWidth and y >= startButtonY and y <= startButtonY + startButtonHeight then
    gameStarted = true
  end

  -- تحقق من الضغط على زر القتل
  if gameStarted and x >= 200 and x <= 300 and y >= 300 and y <= 400 then
    -- قتل العدو
    enemyHealth = enemyHealth - hitDamage
    if enemyHealth <= 0 then
      -- انتقال إلى العدو التالي
      currentEnemy = currentEnemy + 1
      enemyHealth = 10
      enemiesKilled = enemiesKilled + 1
      if enemiesKilled % 5 == 0 then
        playerHealth = playerHealth + playerHealthIncrease
      end
      if enemiesKilled % 6 == 0 then
        hitDamage = hitDamage + hitDamageIncrease
      end
    end
  end
end

-- تعريف الدالة للتحديث
function love.update(dt)
  -- تحقق من الضرب
  if gameStarted and enemyAttackInterval <= 0 then
    playerHealth = playerHealth - enemyAttackDamage
    enemyAttackInterval = 10
   else
    enemyAttackInterval = enemyAttackInterval - dt
  end
  if enemiesKilled % 10 == 0 then
    enemyPowerIncrease = enemyPowerIncrease + 15
  end
end
```